# $Revision: 1.13 $, $Date: 2004/01/25 20:39:07 $
Summary:	Cabinet File Library and Utilities
Summary(pl):	Biblioteka i narzdzia do obsugi plikw Cabinet
Name:		libcabinet
Version:	0.30
Release:	3
License:	non-commercial, see readme.txt
Group:		Libraries
Source0:	http://Trill.cis.fordham.edu/~barbacha/cabinet_library/%{name}-%{version}.tar.gz
# Source0-md5:	f6b0683b4cf57ee3b9614135d0f8d0fe
Source1:	%{name}-Makefile
Patch0:		%{name}-endl.patch
Patch1:		%{name}-gcc3.patch
URL:		http://Trill.cis.fordham.edu/~barbacha/cabinet_library/
# needed with gcc3 patch
BuildRequires:	libstdc++-devel >= 5:3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cabinet File library and utilities.

%description -l pl
Biblioteka i narzdzia do obsugi plikw Cabinet.

%package devel
Summary:	libcabinet development package
Summary(pl):	libcabinet - cz dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for libcabinet.

%description devel -l pl
Pliki nagwkowe do biblioteki libcabinet.

%package static
Summary:	libcabinet static library
Summary(pl):	Statyczna biblioteka libcabinet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of libcabinet.

%description static -l pl
Statyczna wersja biblioteki libcabinet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
install -m644 %{SOURCE1} Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -D_GNU_SOURCE" \
	LDFLAGS="%{rpmldflags}" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libcabinet-*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcabinet.so
%{_libdir}/*.la
%{_includedir}/cabinet

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcabinet.spec,v $
Revision 1.13  2004/01/25 20:39:07  qboosh
- updated gcc3 patch for gcc 3.3 (should work with 3.2 too)
- pass LIBDIR for lib64 support

Revision 1.12  2004/01/21 23:06:12  qboosh
- pass CXX

Revision 1.11  2004/01/21 22:57:58  qboosh
- cosmetics, release 3 for Ac

Revision 1.10  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:49:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.7  2002/10/09 22:03:08  qboosh
- fixed build with libstdc++v3 (gcc3 patch), new %%doc

Revision 1.6  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/02 20:20:20  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.4  2002/02/01 05:30:19  kloczek
- release 2.

Revision 1.3  2002/02/01 00:38:31  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.2  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/07/26 22:34:51  qboosh
- new
